package com.bryceredd.web;

import com.bryceredd.web.AsyncRequest.Action;

public class NoInternetError {
	private Throwable error;
	private String message;
	private AsyncRequest request;
	private Action action;
	
	public NoInternetError(Throwable error, String message, AsyncRequest request, Action action){
		this.setError(error);
		this.setMessage(message);
		this.setRequest(request);
		this.setAction(action);
	}

	public Throwable getError() {
		return error;
	}

	public void setError(Throwable error) {
		this.error = error;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public AsyncRequest getRequest() {
		return request;
	}

	public void setRequest(AsyncRequest request) {
		this.request = request;
	}

	public Action getAction() {
		return action;
	}

	public void setAction(Action action) {
		this.action = action;
	}
	
	public void doAction(){
		switch(action){
		case POST:
			request.postJson(request.url, request.response);
			break;
		case GET:
			request.getJson(request.url, request.response);
			break;
		case PUT:
			request.putJson(request.url, request.response);
			break;
		case DELETE:
			request.deleteJson(request.url, request.response);
			break;
		case IMAGE:
			break;
		}
	}
}
